<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.BalanceRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="balanceRecordResultMap" type="org.springblade.modules.platform.entity.BalanceRecord">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="user_id" property="userId"/>
        <result column="order_no" property="orderNo"/>
        <result column="type" property="type"/>
        <result column="description" property="description"/>
        <result column="withdrawal_status" property="withdrawalStatus"/>
        <result column="withdrawal_fail_reason" property="withdrawalFailReason"/>
        <result column="amount" property="amount"/>
        <result column="amount_type" property="amountType"/>
        <result column="trade_mode" property="tradeMode"/>
    </resultMap>


    <select id="selectBalanceRecordPage" resultMap="balanceRecordResultMap">
        select * from biz_balance_record where is_delete = 0
    </select>

</mapper>
